--- ./plug-ins/icc_examin/icc_examin/icc_oyranos.h.orig	2008-06-27 19:28:52.000000000 +0200
+++ ./plug-ins/icc_examin/icc_examin/icc_oyranos.h	2008-06-27 19:31:34.000000000 +0200
@@ -142,9 +142,6 @@
 
     // colour transformations
     ColourTransformKey erzeugeTrafo (
-                                  const char* eingangs_profil__geraet,
-                                  int         byte,
-                                  int         kanaele,
                                   const char* ausgangs_profil__geraet,
                                   int         byte,
                                   int         kanaele,
@@ -152,9 +149,6 @@
                                   const char* cmm, // 4 bytes 'lcms' 'APPL'
                                   int         cmm_optionen); // BPC, precission
     ColourTransformKey erzeugeTrafo (
-                                  const char* eingangs_profil__geraet,
-                                  int         byte,
-                                  int         kanaele,
                                   const char* ausgangs_profil__geraet,
                                   int         byte,
                                   int         kanaele,
@@ -163,9 +157,6 @@
                                   int         cmm_optionen,
                                   std::list<const char*> &profile );
     ColourTransformKey erzeugeTrafo (
-                                  const char* eingangs_profil__geraet,
-                                  int         byte,
-                                  int         kanaele,
                                   const char* ausgangs_profil__geraet,
                                   int         byte,
                                   int         kanaele,
@@ -181,9 +172,6 @@
     std::string cmm;
   private:
     ColourTransformKey erzeugeSchluessel_ (
-                                  const char* eingangs_profil__geraet,
-                                  int         byte,
-                                  int         kanaele,
                                   const char* ausgangs_profil__geraet,
                                   int         byte,
                                   int         kanaele,
Index: cinepaint-0.22-1/plug-ins/bracketing_to_hdr/br_core/ResponseSolver.hpp
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/bracketing_to_hdr/br_core/ResponseSolver.hpp
+++ cinepaint-0.22-1/plug-ins/bracketing_to_hdr/br_core/ResponseSolver.hpp
@@ -34,6 +34,7 @@
 
 
 #include <fstream>
+#include <cstring>
 #include "TNT/tnt_misc.hpp"     // proof_least_square_fit()
 #include "TNT/tnt_stopwatch.hpp"
 #include "TNT/jama_qr.hpp"      // JAMA::QR
Index: cinepaint-0.22-1/plug-ins/bracketing_to_hdr/br_core/br_Image.cpp
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/bracketing_to_hdr/br_core/br_Image.cpp
+++ cinepaint-0.22-1/plug-ins/bracketing_to_hdr/br_core/br_Image.cpp
@@ -26,6 +26,7 @@
 */
 #include <iostream>
 #include <cmath>                    // pow()
+#include <cstring>
 
 #include "br_types.hpp"             // ImageID
 #include "br_enums.hpp"             // DataType, ReportWhat
Index: cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/icc_oyranos_extern.cpp
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/icc_examin/icc_examin/icc_oyranos_extern.cpp
+++ cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/icc_oyranos_extern.cpp
@@ -29,6 +29,7 @@
 
 #include "icc_utils.h"
 #include "icc_fenster.h"
+#include <cstdlib>
 
 using namespace icc_examin_ns;
 
Index: cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/icc_speicher.h
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/icc_examin/icc_examin/icc_speicher.h
+++ cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/icc_speicher.h
@@ -33,6 +33,8 @@
 
 #include "icc_utils.h"
 #include <string>
+#include <cstdlib>
+#include <cstring>
 
 #define DBG_SPEICHER_START   if(icc_debug >= 3) DBG_PROG_START
 #define DBG_SPEICHER_ENDE    if(icc_debug >= 3) DBG_PROG_ENDE
Index: cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/threads.cpp
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/icc_examin/icc_examin/threads.cpp
+++ cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/threads.cpp
@@ -42,6 +42,7 @@
 #include <iostream>
 #  if HAVE_PTHREAD_H
 // Use POSIX threading...
+#include <climits>
 
 int fl_create_thread(Fl_Thread& t, void *(*f) (void *), void* p)
 {
Index: cinepaint-0.22-1/plug-ins/pdf/pdf.cpp
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/pdf/pdf.cpp
+++ cinepaint-0.22-1/plug-ins/pdf/pdf.cpp
@@ -39,6 +39,7 @@
 
 #include "pdf.h"
 #include "pdf_dialog.h"
+#include <cstring>
 
 extern "C" {
 #include <gtk/gtk.h>
Index: cinepaint-0.22-1/app/base_frame_manager.c
===================================================================
--- cinepaint-0.22-1.orig/app/base_frame_manager.c
+++ cinepaint-0.22-1/app/base_frame_manager.c
@@ -13,6 +13,9 @@
    - bfm_check() has become public
 */ 
 
+
+#include <sys/stat.h>
+#include <sys/types.h>
 #include "base_frame_manager.h"
 #include "store_frame_manager.h"
 #include "clone.h"
Index: cinepaint-0.22-1/app/object.c
===================================================================
--- cinepaint-0.22-1.orig/app/object.c
+++ cinepaint-0.22-1/app/object.c
@@ -1,3 +1,4 @@
+#include <string.h>
 #include "object.h"
 #include "objectF.h"
 #include "objectP.h"
Index: cinepaint-0.22-1/libgimp/stdplugins-intl.h
===================================================================
--- cinepaint-0.22-1.orig/libgimp/stdplugins-intl.h
+++ cinepaint-0.22-1/libgimp/stdplugins-intl.h
@@ -23,6 +23,7 @@
 #define __STDPLUGINS_INTL_H__
 
 #include "gimpintl.h"
+#include <stdlib.h>
 
 #if defined (HAVE_BIND_TEXTDOMAIN_CODESET) && defined (GDK_WINDOWING_WIN32)
 #define BTDCS(d) bind_textdomain_codeset (d, "UTF-8")
Index: cinepaint-0.22-1/lib/drawable.c
===================================================================
--- cinepaint-0.22-1.orig/lib/drawable.c
+++ cinepaint-0.22-1/lib/drawable.c
@@ -16,6 +16,7 @@
  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  * Boston, MA 02111-1307, USA.
  */                                                                             
+#include <string.h>
 #include "plugin_main.h"
 #include "../lib/wire/libtile.h"
 
Index: cinepaint-0.22-1/lib/wire/wirebuffer.c
===================================================================
--- cinepaint-0.22-1.orig/lib/wire/wirebuffer.c
+++ cinepaint-0.22-1/lib/wire/wirebuffer.c
@@ -5,6 +5,7 @@
 */
 
 #include <stdio.h>
+#include <string.h>
 #include "wire.h"
 #include "wirebuffer.h"
 #include "iodebug.h"
Index: cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/makefile.in
===================================================================
--- cinepaint-0.22-1.orig/plug-ins/icc_examin/icc_examin/makefile.in
+++ cinepaint-0.22-1/plug-ins/icc_examin/icc_examin/makefile.in
@@ -242,7 +242,7 @@ $(CINEPAINT):	$(BASE) $(CINEPAINT_OBJECT
 	echo Verknuepfen $@ ...
 	$(CXX) $(CXXFLAGS_) `$(CP_FLAGS)` -o $@ \
 	$(CINEPAINT_OBJECTS) $(OBJECTS) \
-	`$(CP_LIBS)` $(LDLIBS) $(LINK_LIB_PATH) $(LINK_SRC_PATH)
+	`$(CP_LIBS)` $(LDLIBS) $(LINK_LIB_PATH)
 	$(REZ)
 
 

